org.apache.ant.compress.util

## Class CpioStreamFactory

- java.lang.Object
- - org.apache.ant.compress.util.CpioStreamFactory

- All Implemented Interfaces:
    ArchiveStreamFactory

      public class CpioStreamFactory
      extends java.lang.Object
      implements ArchiveStreamFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CpioStreamFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.compress.archivers.ArchiveInputStream` | `getArchiveStream(java.io.InputStream stream, java.lang.String encoding)`
    `org.apache.commons.compress.archivers.ArchiveOutputStream` | `getArchiveStream(java.io.OutputStream stream, java.lang.String encoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CpioStreamFactory

          public CpioStreamFactory()

  - ### Method Detail

    - #### getArchiveStream

          public org.apache.commons.compress.archivers.ArchiveInputStream getArchiveStream(java.io.InputStream stream,
                                                                                           java.lang.String encoding)
                                                                                    throws java.io.IOException

      Specified by:
        `getArchiveStream` in interface `ArchiveStreamFactory`
      Parameters:
        `stream` - the stream to read from, should be buffered
        `encoding` - the encoding of the entry names
      Throws:
        `java.io.IOException`

    - #### getArchiveStream

          public org.apache.commons.compress.archivers.ArchiveOutputStream getArchiveStream(java.io.OutputStream stream,
                                                                                            java.lang.String encoding)
                                                                                     throws java.io.IOException

      Specified by:
        `getArchiveStream` in interface `ArchiveStreamFactory`
      Parameters:
        `stream` - the stream to write to, should be buffered
        `encoding` - the encoding of the entry names
      Throws:
        `java.io.IOException`